// JavaScript Document
$(function(){
	/*热门排行榜*/
	$(".rmphb li").hover(function(){
		$(this).addClass("on").siblings().removeClass("on")
	})
	
	/*列表页*/
	$(".list-hd li").click(function(){
		var I=$(this).index();
		$(this).addClass("cur").siblings().removeClass("cur");
		$(".type-box p").eq(I).addClass("on").siblings().removeClass("on");
		
	})
	
	$(".select span").click(function(){
		var _I=$(this).index();
		$(this).addClass("on").siblings().removeClass("on");
		$(".rj-box ul").eq(_I).addClass("on").siblings().removeClass("on")
	})
	
	$(".bds_more").hover(function(){
		$(".shu").css("display","block")
	})
	$(".share").mouseleave(function(){
		$(".shu").css("display","none")
	})
	
	
/*锚点*/
function clickHere(a,obj){
  	a.click(function(){
  		var oH=obj.offset()['top'];
  		$("html,body").stop().animate({scrollTop:oH},1000);
  	})
  }
	
clickHere($(".m-rjjs"),$(".maodian1"))
clickHere($(".m-xzdz"),$(".maodian2"))
clickHere($(".m-xgxz"),$(".maodian3"))
clickHere($(".m-xgwz"),$(".maodian4"))
clickHere($(".m-fbpl"),$(".maodian5"))
	
	

HomeScroll(".l-main",".sidebar");
	function HomeScroll(a,c){if($(a).length>0&&$(c).length>0){var f=$(a),b=$(c),d=f.offset().top,e=b.offset().top;function g(){var k=$(window).scrollLeft(),r=$(window).scrollTop(),i=$(document).height(),o=$(window).height(),l=f.height(),j=b.height(),m=l>j?e:d,n=l>j?b:f,p=l>j?f.offset().left+f.outerWidth(true)-k:b.offset().left-f.outerWidth(true)-k,h=l>j?j:l,q=l>j?l:j,s=parseInt(q-o)-parseInt(h-o);$(a+","+c).removeAttr("style");if(i<o||h>q||r<m||r<=(h-o+m)){n.removeAttr("style")}else{if(o>h&&(r-m)>=s||o<h&&(r-m)>=(q-o)){n.attr("style","margin-top:"+s+"px;")}else{n.attr("style","_margin-top:"+(r-m)+"px;position:fixed;left:"+p+"px;"+(o>h?"top":"bottom")+":0;")}}}$(window).resize(g).scroll(g).trigger("resize")}};
	

})




